> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List ships

> List ships

### Query parameters

<ParamField query="order_id" type="string" />

<ParamField query="status" type="string" />

<ParamField query="carrier" type="string" />

<ParamField query="limit" type="integer (int32)" />

<ParamField query="offset" type="integer (int32)" />

### Responses

<ResponseField name="200" type="ShipTaskListResponse" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/fulfillment/ships' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "ships": [
      {
        "assigned_to": null,
        "carrier": null,
        "created_at": "string",
        "id": "string",
        "order_id": "string",
        "pack_task_id": "string",
        "shipment_id": "string",
        "shipping_cost": null,
        "status": "string",
        "tracking_number": null
      }
    ],
    "total": 1
  }
  ```
</ResponseExample>
